Interlaken
API referenceIdentity and accessUsers

List users

GET
/api/v1/users

Requires the users:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Query Parameters

limit?integer
offset?integer
order?string
q?string
sort_by?string
tags?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/users"
{  "items": [    {      "created_at": "2019-08-24T14:15:22Z",      "email": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "role": "string",      "role_name": "string",      "role_slug": "string",      "status": "string",      "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "total": 0}